| Version: 3.2.5

Functions
math.h File Reference

## Functions

int | wxFinite (double x)
| Returns a non-zero value if x is neither infinite nor NaN (not a number), returns 0 otherwise. More...
unsigned int | wxGCD (unsigned int u, unsigned int v)
| Returns the greatest common divisor of the two given numbers. More...
bool | wxIsNaN (double x)
| Returns a non-zero value if x is NaN (not a number), returns 0 otherwise. More...
wxFloat64 | wxConvertFromIeeeExtended (const wxInt8 *bytes)
| Converts the given array of 10 bytes (corresponding to 80 bits) to a float number according to the IEEE floating point standard format (aka IEEE standard 754). More...
void | wxConvertToIeeeExtended (wxFloat64 num, wxInt8 *bytes)
| Converts the given floating number num in a sequence of 10 bytes which are stored in the given array bytes (which must be large enough) according to the IEEE floating point standard format (aka IEEE standard 754). More...
double | wxDegToRad (double deg)
| Convert degrees to radians. More...
double | wxRadToDeg (double rad)
| Convert radians to degrees. More...
unsigned int | wxCTZ (wxUint32 x)
| Count the number of trailing zeros. More...
template<typename T >
int | wxRound (T x)
| Small wrapper around std::lround(). More...
bool | wxIsSameDouble (double x, double y)
| Returns true if both double values are identical. More...
bool | wxIsNullDouble (double x)
| Return true of x is exactly zero. More...
int | wxMulDivInt32 (int n, int numerator, int denominator)
| Computes the product of a number with a fraction with rounding. More...